=== debian/changelog ===
condor (7.8.0~dfsg.1-1) unstable; urgency=low

  * New upstream release (Closes: #670304). This is the first release of the
    new 7.8 stable series. Patches introduced to prevent FTBFS on mips, ia64
    and s390x are merged/obsolete.
  * Add Debconf template translations (Closes: #670487):
    - German -- courtesy of Erik Pfannenstein <epfannenstein@gmx.de>
      (Closes: #671394)
    - Russian -- courtesy of Yuri Kozlov <yuray@komyakino.ru>
      (Closes: #671510)
    - Italian -- courtesy of Beatrice Torracca <beatricet@libero.it>
      (Closes: #671641)
    - Polish -- courtesy of Michał Kułach <michalkulach@gmail.com>
      (Closes: #671547)

 -- Michael Hanke <mih@debian.org>  Wed, 09 May 2012 11:35:19 +0200

condor (7.7.6~dfsg.1-3) experimental; urgency=low

  * Temporarily drop cgroups dependency and, consequently, support for cgroups
    in Condor. The cgroups package is not in the condition to migrate into
    wheezy, hence blocking Condor's migration as well. cgroups maintainer
    suggests to drop this dependency for now.
    http://lists.debian.org/debian-devel/2012/04/msg00617.html
  * Improved Debconf templates after review by debian-l10n-english. Thanks
    to Justin B. Rye and Christian Perrier.
  * Add Debconf template translations:
    - Danish -- courtesy of Joe Dalton (Closes: #671090).

 -- Michael Hanke <mih@debian.org>  Wed, 02 May 2012 08:13:55 +0200

condor (7.7.6~dfsg.1-2) unstable; urgency=low

  * Add upstream patch to address FTBFS on ia64 and s390x (Closes: #670393).

 -- Michael Hanke <mih@debian.org>  Wed, 25 Apr 2012 18:18:08 +0200

condor (7.7.6~dfsg.1-1) unstable; urgency=low

  * New upstream development release. Last one before the 7.8 stable series.
  * Majority of patches has been merged upstream or have been made obsolete.
  * Stop supporting alternative LOCAL_DIR settings via Debconf. In addition
    the pre/postrm scripts no longer support non-standard (aka /var) LOCAL_DIR
    settings. This was done to be able to keep runtime data (logs, etc.) when
    the package gets removed, but not purged (Closes: #668088). Previously the
    package relied on Condor's own configuration facilities to deduce LOCAL_DIR,
    which is impossible to perform in 'postrm'.
  * Do not remove the condor user during package purge (Closes: #667533).
    Along the lines of the discussion in #621833 the user is kept in a locked
    state (condor user has login disabled by default).
  * Simplify logic of adding the condor system user in maintainer scripts.
  * Change daemon restart behavior on package upgrade -- confirmed with
    upstream. Condor is now kept running during package upgrade (was
    unconditionally stopped in prerm before). Upon finishing installtion of
    the new version, Condor is just started (if not already running) and a
    'condor_restart' command is issued. Before a complete stop-start cycle was
    performed. The new behavior should allow for a more graceful upgrade of
    Condor pools, by safely shutting down all running jobs and jobs submitted
    from the localhost.
  * Add patch to allow building on MIPS. Rename variable name 'mips' to
    'mips_' to avoid name clash (Closes: #669689).
  * Fix a bug in the debconf script that caused the default start policy
    setting for a personal Condor installation to have no effect, i.e. it
    would not run jobs regardless of machine activity by default.

 -- Michael Hanke <mih@debian.org>  Tue, 24 Apr 2012 20:15:31 +0200

condor (7.7.5~dfsg.1-2) experimental; urgency=low

  * New primary Debian maintainer contact is Condor upstream. Previous
    maintainer remains uploader.
  * Guard against failure due to missing directories in pre-removal script
    (Closes: #662739). Thanks to Andreas Beckmann for detecting the bug.
  * Fix DMTCP integration for version 1.2.4 and later -- file location tests
    became invalid.
  * Set default DMTCP snapshotting interval to zero -- no regular snapshotting,
    but on-demand snapshots on vacate command. In addition the shim script now
    honors DMTCP_CHECKPOINT_INTERVAL.
  * Call dmtcp_command with option --quiet in shim_dmtcp to achieve more
    readable logs, by suppressing DMTCP's license and author boilerplate
    output.
  * Added patch to ignore PIDs from a stale PID file when trying to stop
    condor. This could otherwise prevent package removal/upgrade
    (Closes: #663033). The patch has been forwarded upstream.
  * Cherry-pick upstream patch that let's Condor build on all Debian-derived
    distributions identically. This patch allows the unmodified Debian package
    to build on Ubuntu.
  * Cherry-pick upstream patch to bump the libclassad SO version from 2 to 3
    -- fixed an overlooked and somewhat hidden change of API. Should now be
    stable for the 7.8 series. Also changed associated package name and
    dependencies accordingly.
  * Let DMTCP perform a blocking checkpointing operation, to avoid Condor
    killing DMTCP before a checkpoint file is written completely
    (Closes: #663078).
  * Make an attempt to let shim_dmtcp remove DMTCP checkpoint output files
    from a job's EXEC_DIR upon job termination. This is experimental.
  * Improve README.Debian regarding DMTCP checkpointing setup.
  * Bumped Standards-version to 3.9.3; no changes necessary.
  * Added homepage and VCS information to control file.

 -- Michael Hanke <mih@debian.org>  Fri, 09 Mar 2012 13:20:25 +0100

condor (7.7.5~dfsg.1-1) UNRELEASED; urgency=low

  * New upstream release. Feature freeze for upcoming 7.8 stable series.
    - better statistics for monitoring a Condor pool,
    - better support for absent ads in the collector
    - fast claiming of partitionable slots
    - support for some newer Linux kernel features to better support process
      isolation.
  * Remove 'disable_java_gt4X' patch -- corresponding upstream code has been
    removed.
  * Remove 'debian_dynamic_run' patch -- merged upstream.


